@charset "UTF-8";
html {
    scroll-behavior: smooth;
}

body {
  font-family: noto sans jp, "Hiragino Kaku Gothic ProN", "Hiragino Sans", "Helvetica Neue", Arial, sans-serif;
  font-size: 16px;
  letter-spacing: .05em;
  color: #333;
}

a {
  display: block;
  transition: opacity .3s;
  text-decoration: none;
  color: #333;
}

img {
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
  border-style: none;
}

ul {
  list-style-type: none;
}

@media screen and (min-width: 768px){
.sp {
    display: none !important;
}
}

@media screen and (max-width: 767px) {
  body {
    font-size: 14px;
  }

  .pc {
    display: none!important;
  }

  .lead {
    font-size: 14px;
    line-height: 1.7;
    margin-bottom: 20px;
  }
}

/*--------------------------------
 レイアウト
---------------------------------*/
.section {
  padding: 80px 0;
}

.works .container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
}

.case-container {
  max-width: 960px;
}

@media screen and (max-width: 767px) {
  /* レイアウト */
  .section {
    padding: 60px 0;
  }

  .container {
    padding: 0 20px;
  }
}

/*--------------------------------
 見出し
---------------------------------*/
.title {
  font-size: 32px;
  font-weight: 500;
  line-height: 1;
  margin-bottom: 40px;
  text-align: center;
  letter-spacing: .05em;
  color: #333;
}

.lead {
  font-size: 16px;
  line-height: 1.8;
  margin-bottom: 30px;
}

/*--------------------------------
 グローバルナビ
---------------------------------*/
@media screen and (max-width: 767px) {
	body.is-no-scroll {
		overflow: hidden;
	}
}
.header {
	display: flex;
	position: fixed;
	top: 0;
	align-items: center;
	justify-content: space-between;
	width: 100%;
	height: 72px;
	padding: 0 20px;
	background-color: rgba(255, 255, 255, .8);
  z-index: 100;
  opacity: 0;
  transform: translateY(-20px);
  transition: opacity .3s ease, transform .3s ease;
  pointer-events: none;
}

.header__logo {
	flex-shrink: 0;
}

.header__logo a {
  line-height: 0;
}

.header__logo img {
  width: 100%;
  max-width: 156px;
}

.header.is-show {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.header .globalnav__list .globalnav__item {
  font-size: 14px;
}

@media screen and (max-width: 767px) {
  .header{
    height: 64px;
    padding: 0 0 0 20px;
  }

  .header__logo img {
    max-width: 120px;
  }
}

.hamburger {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 62px;
	height: 56px;
	border: none;
	background-color: transparent;
}
.hamburger__line {
	position: relative;
	width: 22px;
	height: 1px;
	background-color: #707070;
}
.hamburger__line::before, .hamburger__line::after {
	content: "";
	display: block;
	position: absolute;
	width: inherit;
	height: inherit;
	transition: transform 0.3s;
	background-color: #707070;
}
.hamburger__line::before {
	top: -6px;
}
.hamburger__line::after {
	bottom: -6px;
}
.hamburger.is-open .hamburger__line {
	background-color: transparent;
}
.hamburger.is-open .hamburger__line::before {
	top: 0;
	transform: rotate(45deg);
}
.hamburger.is-open .hamburger__line::after {
	bottom: 0;
	transform: rotate(-45deg);
}

@media screen and (min-width: 768px) {
	.hamburger {
		display: none;
	}
}

@media screen and (max-width: 767px) {
	.globalnav {
		display: none;
		position: absolute;
		top: 64px;
		left: 0;
		width: 100%;
		height: calc(100vh - 56px);
		overflow-y: auto;
		background-color: rgba(255, 255, 255, .8);
		-webkit-overflow-scrolling: touch;
	}
	.globalnav.is-open {
		display: block;
	}
	.globalnav__inner {
		width: 90%;
		margin: auto;
	}
	.globalnav__list {
		border-top: 1px dotted #a0a0a0;
	}
	.globalnav__item {
		position: relative;
		border-bottom: 1px dotted #a0a0a0;
	}
	.globalnav__item a {
		padding: 24px 0;
	}
	.globalnav__item.--has-child ul {
		display: none;
	}
	.globalnav__item.--has-child::before,
  .globalnav__item.--has-child::after {
		content: "";
		display: block;
		position: absolute;
		top: calc(1.4em + 7px);
		right: 5px;
		width: 14px;
		height: 1px;
		transform: translateY(-50%);
		border-radius: 5px;
		background: #000;
	}
	.globalnav__item.--has-child::after {
		transform: translateY(-50%) rotate(90deg);
		transition: 0.5s;
	}
	.globalnav__item.--has-child.is-open:after {
		transform: rotate(0);
		transition: 0.5s;
	}
}

@media screen and (min-width: 768px) {
	.globalnav {
		display: block !important;
		position: static;
		flex: 1;
	}
	.globalnav__inner {
		display: flex;
		align-items: center;
		justify-content: end;
		gap: 2em;
	}
	.globalnav__list {
		display: flex;
		gap: 1em;
	}
	.globalnav__item a {
		padding: 16px 8px;
    transition: all 0.3s;z
	}
	.globalnav__item a:hover {
    background-color: #333;
    color: #fff;
	}
	.globalnav__item.--has-child {
		position: relative;
	}
	.globalnav__item.--has-child ul {
		visibility: hidden;
		position: absolute;
		z-index: 4;
		top: 1em;
		left: 0;
		transition: all 0.3s;
		opacity: 0;
	}
	.globalnav__item.--has-child:hover ul, .globalnav__item.--has-child:active ul {
		visibility: visible;
		opacity: 1;
	}
}

/*--------------------------------
 メインビジュアル
---------------------------------*/
.bg-slider {
  width: 100vw;
  height: 100vh;
  background-position: center center;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}

.bg-slider:after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(255, 255, 255, .7);
}

.mv {
  display: flex;
  width: auto;
  align-items: center;
  justify-content: center;
  height: 100vh;
  text-align: center;
}

.bg-translucent {
  z-index: 1;
}

.mv-container {
  padding: 0 40px;
}

.mv-title {
  margin-bottom: 24px;
}

p.mv-title img {
  width: 100%;
  max-width: 480px;
}

.mv-subtitle {
  font-size: 20px;
  font-weight: 700;
  line-height: 1;
  margin-bottom: 40px;
  letter-spacing: .08em;
}

.mv-text {
  font-size: 20px;
  line-height: 1.8;
}

.scroll {
  color: #333;
  font-size: 16px;
  writing-mode: vertical-rl;
  position: absolute;
  top: 78%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
}

.scroll::after {
  content: '';
  display: block;
  position: absolute;
  right: 50%;
  bottom: -100px;
  transform: translateX(-50%);
  width: 1px;
  height: 80px;
  background-color: #333;
}

/*--------------------------------
 Topページ > Profile
---------------------------------*/
.profile-list:not(:first-of-type) {
  margin-top: 80px;
}

.profile-block.rev {
  flex-flow: row-reverse;
}

.profile-list .profile-block {
  display: flex;
  justify-content: space-between;
}

.profile-list .profile-block div {
  width: 100%;
}

.profile-list .profile-block .profile-img {
  width: 30%;
}

.profile-img img {
  width: calc(100% - 2px);
  border: 1px solid #e6e6e6;
}

.profile-list .profile-block .profile-txt {
  width: calc(100% - 34%);
}

.profile-list .profile-block .profile-txt .profile-explanation {
  font-size: 16px;
  line-height: 1.8;
}

.profile-name {
  margin-bottom: 8px;
  font-size: 24px;
  font-weight: 500;
}

@media screen and (max-width: 767px) {
  .profile-list {
    justify-content: space-between;
  }

  .profile-list:not(:first-of-type) {
    margin-top: 48px;
  }

  .profile-list .profile-block {
    display: block;
  }

  .profile-list .profile-block div {
    width: 100% !important;
  }

  .profile-list .profile-block .profile-img {
    margin-bottom: 16px;
  }
}

/*--------------------------------
 Topページ > About Me
---------------------------------*/
.about-me {
  background-color: #f7f7f7;
}

.about-me .inner {
  width: 100%;
  max-width: 960px;
  margin: auto;
}

.about-me .inner p {
  margin-bottom: 32px;
  font-size: 16px;
  text-align: center;
}

.about-me .inner img {
  display: block;
  width: 100%;
  margin: 0 auto;
}

/*--------------------------------
 Topページ > Works 一覧
---------------------------------*/
.works #section01 {
  margin-bottom: 48px;
}

.works .top_subttl {
  margin-bottom: 24px;
  padding-bottom: 8px;
  font-weight: normal;
  border-bottom: solid 1px #e6e6e6;
}

.works-list {
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
}

.works-list li {
  width: calc((100% - 48px) / 3);
}

.works-list li img {
  border: 1px solid #e6e6e6;
}

.works-list .cliant-name {
  margin: 6px 0 4px;
  font-size: 12px;
}

.works-list .works-name {
  font-size: 16px;
}

@media screen and (max-width: 767px) {
  .works .top_subttl {
    margin-bottom: 16px;
  }
  
  .works-list {
    gap: 16px;
  }

  .works-list li {
    width: calc((100% - 16px) / 2);
  }
  .works-list .works-name {
    font-size: 14px;
  }
}

/*--------------------------------
 Works 詳細ページ
---------------------------------*/
.work-contents:not(:first-of-type) {
  margin-top: 80px;
}

.works-block.rev {
  flex-flow: row-reverse;
}

.work-contents .works-block {
  display: block;
}

.work-contents .works-block .works-inner {
  width: 100%;
  max-width: 960px;
  margin: 0 auto;
}

.work-contents .works-block .works-img {
  width: 100%;
  margin-top: 16px;
}

.work-contents .works-block .works-inner .works-explanation {
  position: relative;
  font-size: 14px;
  line-height: 1.7;
}

.works-item {
  width: 31.74603%;
  margin-right: 1.58730%;
  margin-bottom: 40px;
  color: #333;
}

.works-item:hover {
  opacity: .9;
}

.works-item:nth-of-type(3n) {
  margin-right: 0;
}

.works-img img {
  width: calc(100% - 2px);
  border: 1px solid #e6e6e6;
}

.works-name {
  margin-bottom: 8px;
  font-size: 20px;
  font-weight: 500;
}

.topic-ttl {
  margin-bottom: 8px;
  font-size: 16px;
  font-weight: normal;
}

.topic-area {
  margin-top: 48px!important;
}

.works-info {
  margin-bottom: 10px;
  color: #797979;
  font-size: 12px;
}

.btn {
  width: 100%;
  margin-top: 18px;
}

.btnarrow5 {
  position: relative;
  border: 1px solid #555;
  display: block;
  max-width: 280px;
  margin: 48px auto 0;
  padding: 16px 64px;
  text-align: center;
  text-decoration: none;
  color: #333;
  font-size: 13px;
  outline: none;
  transition: all .2s linear;
}

.btnarrow5:hover {
  background: #333;
  color: #fff;
}

.btnarrow5::before {
  content: "";
  position: absolute;
  top: 49%;
  right: 24px;
  width: 32px;
  height: 1px;
  background: #333;
  transition: all .2s linear;
}

.btnarrow5::after {
  content: "";
  position: absolute;
  top: 37%;
  right: 28px;
  width: 1px;
  height: 6px;
  background: #333;
  transform: skewX(45deg);
  transition: all .2s linear;
}

.btnarrow5:hover::before {
  right: 16px;
  background: #fff;
}

.btnarrow5:hover::after {
  right: 19px;
  background: #fff;
}

.pagination-wrap {
  margin-top: 72px!important;
}

.pagination-wrap .pagination {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.pagination-wrap .pagination .back-btn,
.pagination-wrap .pagination .works-btn,
.pagination-wrap .pagination .next-btn {
  width: fit-content!important;
}

.pagination-wrap .pagination .back-btn,
.pagination-wrap .pagination .next-btn {
  position: relative;
  display: inline-block;
}

.back-narrow {
  padding-left: 20px;
}

.next-narrow {
  padding-right: 20px;
}

.back-narrow::before,
.back-narrow::after {
  content: "";
  position: absolute;
  top: 37%;
  left: 0;
  width: 12px;
  height: 2px;
  border-radius: 9999px;
  background-color: #333333;
  transform-origin: 1px 50%;
}

.back-narrow::before {
  transform: rotate(45deg);
}

.back-narrow::after {
  transform: rotate(-45deg);
}

.next-narrow::before,
.next-narrow::after {
  content: "";
  position: absolute;
  top: 37%;
  right: 0;
  width: 12px;
  height: 2px;
  border-radius: 9999px;
  background-color: #333333;
  transform-origin: calc(100% - 1px) 50%;
}

.next-narrow::before {
  transform: rotate(45deg);
}

.next-narrow::after {
  transform: rotate(-45deg);
}

.list-icon::before {
  content: url('../img/icon-list.svg');
  display: inline-block;
  width: 20px;
  height: 20px;
  background-size: contain;
  vertical-align: middle;
  margin-right: 12px;
}

.underline {
  display: inline-block;
  padding-bottom: 8px;
  position: relative;
}

.underline::after {
  background-color: #333;
  bottom: 0;
  content: '';
  display: block;
  height: 1px;
  left: 0;
  position: absolute;
  transition: .5s all;
  width: 0;
}

.underline:hover::after {
  width: 100%;
}

.no-link {
  color: #a0a0a0;
  pointer-events: none;
}

.no-link .back-narrow::before,
.no-link .back-narrow::after,
.no-link .next-narrow::before,
.no-link .next-narrow::after {
  background: #a0a0a0;
}

.icon-midjourney::before {
  content: url('../img/icon-midjourney.png');
  display: inline-block;
  width: 20px;
  height: 20px;
  background-size: contain;
  vertical-align: middle;
  margin-right: 12px;
}

/*--------------------------------
 Movie
---------------------------------*/
.movie {
    position: relative;
    width: 100%;
    padding-top: 36.25%; /* 16:9のアスペクト比 */
    height: 0;
}

.movie iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/*--------------------------------
 ページトップ
---------------------------------*/
#pagetop {
    height: 50px;
    width: 50px;
    position: fixed;
    right: 30px;
    bottom: 30px;
    background: #555;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;
}

#pagetop .pagetop__arrow {
    height: 10px;
    width: 10px;
    border-top: 3px solid #fff;
    border-right: 3px solid #fff;
    transform: translateY(20%) rotate(-45deg);
}

/*--------------------------------
 フッター
---------------------------------*/
.footer {
  padding: 20px;
  background-color: #ccc;
}

.copyright {
  font-size: 10px;
  text-align: center;
  color: #333;
}

/*SP
----------------------------------------------------*/
@media screen and (max-width: 767px) {

  /*  メインビジュアル */
  .mv-container {
    padding: 0 20px;
  }

  .mv-subtitle {
    font-size: 16px;
    margin-bottom: 32px;
  }

  .mv-text {
    font-size: 14px;
    line-height: 1.7;
  }

  .scroll {
    top: 80%;
    font-size: 14px;
  }

  .scroll::after {
    bottom: -80px;
    height: 64px;
  }

  /* Profile */
  .profile-list {
    justify-content: space-between;
  }

  .profile-list:not(:first-of-type) {
    margin-top: 48px;
  }

  .profile-list .profile-block {
    display: block;
  }

  .profile-list .profile-block div {
    width: 100% !important;
  }

  .profile-list .profile-block .profile-img {
    margin-bottom: 16px;
  }

  /* skills */
  .skills-list .skills-block ul {
    display: block;
  }

  .power-point,
  .movie {
    padding-top: 56.25%; /* 16:9のアスペクト比 */
  }

  /* フッター */
  .footer {
    padding: 20px;
  }
}